import styles from "../../styles";
import { colors } from "../../styles";
import { TransactionType } from "../Types/Types";
import StatusText from "../TransactionStatusText/TransactionStatusText";
import { useNavigate } from "react-router-dom";
export interface props {
  transaction: TransactionType;
}

export default function TransactionEntry(props: props) {
  const navigate = useNavigate();
  return (
    <div
      style={{
        alignSelf: "center",
        justifySelf: "center",
        width: "384px",
        backgroundColor: colors.header_color,
        borderRadius: 16,
        margin: "8px",
        padding: "8px",
      }}
      onClick={() =>
        navigate(`/view/transaction/${props.transaction.id}`, {
          replace: true,
          state: { id: props.transaction.id },
        })
      }
    >
      <div style={styles.flex_row}>
        <p
          style={{
            ...styles.text_dark,
            ...styles.text_S,
            ...{ textAlign: "left", flex: 1 },
          }}
        >
          ID: {props.transaction.id}
        </p>
        <p
          style={{
            ...styles.text_dark,
            ...styles.text_S,
            ...{ textAlign: "right", flex: 2 },
          }}
        >
          {props.transaction.timestamp}
        </p>
      </div>
      <div style={styles.flex_row}>
        <div style={{ flex: 1 }}>
          <p
            style={{
              ...styles.text_dark,
              ...styles.text_S,
              ...{ textAlign: "left", margin: 0 },
            }}
          >
            Borrower: {props.transaction.borrower.name}{" "}
            {`(ID:${props.transaction.borrower.id})`}
          </p>
          <p
            style={{
              ...styles.text_dark,
              ...styles.text_S,
              ...{ textAlign: "left", margin: 0 },
            }}
          >
            Teacher: {props.transaction.teacher.name}{" "}
            {`(ID:${props.transaction.teacher.id})`}
          </p>
          <p
            style={{
              ...styles.text_dark,
              ...styles.text_S,
              ...{
                height: "64px",
                textAlign: "left",
                margin: 0,
                marginTop: "8px",
                flexWrap: "wrap",
                overflowY: "scroll",
              },
            }}
          >
            {props.transaction.remarks}
          </p>
        </div>
        <div style={{ flex: 1 }}>
          <p
            style={{
              ...styles.text_dark,
              ...styles.text_S,
              ...{ textAlign: "right", margin: 0 },
            }}
          >
            Equipments:
          </p>
          <div
            style={{
              ...styles.flex_column,
              ...{ height: "96px", overflowY: "scroll" },
            }}
          >
            {props.transaction.equipments.map((equipment) => (
              <p
                style={{
                  ...styles.text_dark,
                  ...styles.text_S,
                  ...{
                    textAlign: "right",
                    margin: 0,
                  },
                }}
              >
                {` - ${equipment.name} (ID:${equipment.id})`}
              </p>
            ))}
          </div>
        </div>
      </div>
      <StatusText status={props.transaction.transaction_status} />
    </div>
  );
}
