import { StyleSheet, Document, Page, Text, View } from "@react-pdf/renderer";
import { TransactionType } from "../Types/Types";
import styles, { colors } from "../../styles";

type props = {
  transaction: TransactionType;
};
const pdf_styles = StyleSheet.create({
  container: {
    alignSelf: "center",
    justifySelf: "center",
    width: "512px",
    backgroundColor: colors.header_color,
    borderRadius: 16,
    margin: "8px",
    padding: "8px",
  },
  flex_row: {
    display: "flex",
    flexDirection: "row",
  },
  flex_column: {
    display: "flex",
    flexDirection: "column",
  },
  text_dark: {
    color: colors.font_dark,
    fontWeight: "bold",
  },
  text_light: {
    color: colors.font_light,
    fontWeight: "bold",
  },
  text_red: {
    color: colors.red,
    fontWeight: "bold",
  },
  text_orange: {
    color: colors.orange,
    fontWeight: "bold",
  },
  text_green: {
    color: colors.green,
    fontWeight: "bold",
  },
});

export default function TransactionPDF(props: props) {
  return (
    <Document>
      <Page size={"A4"}>
        <View style={pdf_styles.container}>
          <View style={pdf_styles.flex_row}>
            <Text
              style={{
                color: colors.font_dark,
                fontSize: 16,
                textAlign: "left",
                flex: 1,
              }}
            >
              ID: {props.transaction.id}
            </Text>
            <Text
              style={{
                color: colors.font_dark,
                fontSize: 16,
                textAlign: "right",
                flex: 1,
              }}
            >
              {props.transaction.timestamp}
            </Text>
          </View>
        </View>
      </Page>
    </Document>
  );
}
