import styles, { colors } from "../../styles";

export default function StatusText(props: { status: string }) {
  let color;
  if (
    props.status === "Pending Approval" ||
    props.status === "Returned: Pending Checking"
  ) {
    color = colors.orange;
  } else if (
    props.status === "Approved" ||
    props.status === "Finalized" ||
    props.status === "Borrowed"
  ) {
    color = colors.green;
  } else {
    color = colors.red;
  }
  return (
    <p
      style={{
        ...styles.text_dark,
        ...styles.text_S,
        ...{
          textAlign: "center",
          color: color,
        },
      }}
    >
      {props.status}
    </p>
  );
}
